## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# NodeNameTreeWalker Class Reference

Inheritance diagram for NodeNameTreeWalker:

[legend]
Collaboration diagram for NodeNameTreeWalker:

[legend]
List of all members.

## Public Types

- typedef XalanVector< const
  XalanNode * > NodeVectorType

## Public Member Functions

- NodeNameTreeWalker (MemoryManagerType &theManager)
- virtual ~NodeNameTreeWalker ()
- virtual void findMatchingNodes (const XalanDOMString &theNodeName, const XalanNode *theStartNode)
    Find all nodes matching a specified node in a specified node tree.
- virtual void findMatchingNodes (const XalanDOMString &theNodeName, XalanNode *theStartNode)
- const NodeVectorType & getMatchingNodes () const
    Retrieve the matching nodes from the last search.

## Protected Member Functions

- virtual bool startNode (XalanNode *node)
    Called when first walking a node.
- virtual bool endNode (XalanNode *node)
    Called when leaving a node.
- virtual bool startNode (const XalanNode *node)
    Called when first walking a node.
- virtual bool endNode (const XalanNode *node)
    Called when leaving a node.

## Member Typedef Documentation

typedef XalanVector<const XalanNode*> NodeNameTreeWalker::NodeVectorType

## Constructor & Destructor Documentation

NodeNameTreeWalker::NodeNameTreeWalker | ( | MemoryManagerType & | theManager | ) |

virtual NodeNameTreeWalker::~NodeNameTreeWalker | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool NodeNameTreeWalker::endNode | ( | const XalanNode * | node | ) | `[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

virtual bool NodeNameTreeWalker::endNode | ( | XalanNode * | node | ) | `[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

virtual void NodeNameTreeWalker::findMatchingNodes | ( | const XalanDOMString & | theNodeName,
|  | XalanNode * | theStartNode
| ) | `[virtual]`

virtual void NodeNameTreeWalker::findMatchingNodes | ( | const XalanDOMString & | theNodeName,
|  | const XalanNode * | theStartNode
| ) | `[virtual]`

  | Find all nodes matching a specified node in a specified node tree. The member m_matchingNodes is populated as a side effect. Parameters:
  theNodeName | name of node sought
  theStartNode | start node for search

const NodeVectorType& NodeNameTreeWalker::getMatchingNodes | ( |  | ) | const

| Retrieve the matching nodes from the last search. Returns: vector of nodes

virtual bool NodeNameTreeWalker::startNode | ( | const XalanNode * | node | ) | `[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

virtual bool NodeNameTreeWalker::startNode | ( | XalanNode * | node | ) | `[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

The documentation for this class was generated from the following file:

- NodeNameTreeWalker.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.